## mandos 1.8.6

=== Makefile ===
WARN:=-O -Wall -Wextra -Wdouble-promotion -Wformat=2 -Winit-self \
	-Wmissing-include-dirs -Wswitch-default -Wswitch-enum \
	-Wunused -Wuninitialized -Wstrict-overflow=5 \
	-Wsuggest-attribute=pure -Wsuggest-attribute=const \
	-Wsuggest-attribute=noreturn -Wfloat-equal -Wundef -Wshadow \
	-Wunsafe-loop-optimizations -Wpointer-arith \
	-Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings \
	-Wconversion -Wlogical-op -Waggregate-return \
	-Wstrict-prototypes -Wold-style-definition \
	-Wmissing-format-attribute -Wnormalized=nfc -Wpacked \
	-Wredundant-decls -Wnested-externs -Winline -Wvla \
	-Wvolatile-register-var -Woverlength-strings

#DEBUG:=-ggdb3 -fsanitize=address $(SANITIZE)
## Check which sanitizing options can be used
#SANITIZE:=$(foreach option,$(ALL_SANITIZE_OPTIONS),$(shell \
#	echo 'int main(){}' | $(CC) --language=c $(option) \
#	/dev/stdin -o /dev/null >/dev/null 2>&1 && echo $(option)))
# <https://developerblog.redhat.com/2014/10/16/gcc-undefined-behavior-sanitizer-ubsan/>
ALL_SANITIZE_OPTIONS:=-fsanitize=leak -fsanitize=undefined \
        -fsanitize=shift -fsanitize=integer-divide-by-zero \
        -fsanitize=unreachable -fsanitize=vla-bound -fsanitize=null \
        -fsanitize=return -fsanitize=signed-integer-overflow \
        -fsanitize=bounds -fsanitize=alignment \
        -fsanitize=object-size -fsanitize=float-divide-by-zero \
        -fsanitize=float-cast-overflow -fsanitize=nonnull-attribute \
        -fsanitize=returns-nonnull-attribute -fsanitize=bool \
        -fsanitize=enum -fsanitize-address-use-after-scope

# For info about _FORTIFY_SOURCE, see feature_test_macros(7)
# and <https://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
FORTIFY:=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
LINK_FORTIFY_LD:=-z relro -z now
LINK_FORTIFY:=

# If BROKEN_PIE is set, do not build with -pie
ifndef BROKEN_PIE
FORTIFY += -fPIE
LINK_FORTIFY += -pie
endif
#COVERAGE=--coverage
OPTIMIZE:=-Os -fno-strict-aliasing
LANGUAGE:=-std=gnu11
htmldir:=man
version:=1.8.6
SED:=sed
PKG_CONFIG?=pkg-config

USER:=$(firstword $(subst :, ,$(shell getent passwd _mandos \
	|| getent passwd nobody || echo 65534)))
GROUP:=$(firstword $(subst :, ,$(shell getent group _mandos \
	|| getent group nogroup || echo 65534)))

LINUXVERSION:=$(shell uname --kernel-release)

## Use these settings for a traditional /usr/local install
# PREFIX:=$(DESTDIR)/usr/local
# CONFDIR:=$(DESTDIR)/etc/mandos
# KEYDIR:=$(DESTDIR)/etc/mandos/keys
# MANDIR:=$(PREFIX)/man
# INITRAMFSTOOLS:=$(DESTDIR)/etc/initramfs-tools
# DRACUTMODULE:=$(DESTDIR)/usr/lib/dracut/modules.d/90mandos
# STATEDIR:=$(DESTDIR)/var/lib/mandos
# LIBDIR:=$(PREFIX)/lib
##

## These settings are for a package-type install
PREFIX:=$(DESTDIR)/usr
CONFDIR:=$(DESTDIR)/etc/mandos
KEYDIR:=$(DESTDIR)/etc/keys/mandos
MANDIR:=$(PREFIX)/share/man
INITRAMFSTOOLS:=$(DESTDIR)/usr/share/initramfs-tools
DRACUTMODULE:=$(DESTDIR)/usr/lib/dracut/modules.d/90mandos
STATEDIR:=$(DESTDIR)/var/lib/mandos
LIBDIR:=$(shell \
	for d in \
	"/usr/lib/`dpkg-architecture \
			-qDEB_HOST_MULTIARCH 2>/dev/null`" \
	"`rpm --eval='%{_libdir}' 2>/dev/null`" /usr/lib; do \
		if [ -d "$$d" -a "$$d" = "$${d%/}" ]; then \
			echo "$(DESTDIR)$$d"; \
			break; \
		fi; \
	done)
##

SYSTEMD:=$(DESTDIR)$(shell $(PKG_CONFIG) systemd \
			--variable=systemdsystemunitdir)
TMPFILES:=$(DESTDIR)$(shell $(PKG_CONFIG) systemd \
			--variable=tmpfilesdir)

GNUTLS_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I gnutls)
GNUTLS_LIBS:=$(shell $(PKG_CONFIG) --libs gnutls)
AVAHI_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I avahi-core)
AVAHI_LIBS:=$(shell $(PKG_CONFIG) --libs avahi-core)
GPGME_CFLAGS:=$(shell gpgme-config --cflags; getconf LFS_CFLAGS)
GPGME_LIBS:=$(shell gpgme-config --libs; getconf LFS_LIBS; \
	getconf LFS_LDFLAGS)
LIBNL3_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I libnl-route-3.0)
LIBNL3_LIBS:=$(shell $(PKG_CONFIG) --libs libnl-route-3.0)
GLIB_CFLAGS:=$(shell $(PKG_CONFIG) --cflags glib-2.0)
GLIB_LIBS:=$(shell $(PKG_CONFIG) --libs glib-2.0)

# Do not change these two
CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) \
	$(OPTIMIZE) $(LANGUAGE) -DVERSION='"$(version)"'
LDFLAGS+=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(strip \
	) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))

# Commands to format a DocBook <refentry> document into a manual page
DOCBOOKTOMAN=$(strip cd $(dir $<); xsltproc --nonet --xinclude \
	--param man.charmap.use.subset		0 \
	--param make.year.ranges		1 \
	--param make.single.year.ranges		1 \
	--param man.output.quietly		1 \
	--param man.authors.section.enabled	0 \
	/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
	$(notdir $<); \
	if locale --all 2>/dev/null | grep --regexp='^en_US\.utf8$$' \
	&& command -v man >/dev/null; then LANG=en_US.UTF-8 \
	MANWIDTH=80 man --warnings --encoding=UTF-8 --local-file \
	$(notdir $@); fi >/dev/null)

DOCBOOKTOHTML=$(strip xsltproc --nonet --xinclude \
	--param make.year.ranges		1 \
	--param make.single.year.ranges		1 \
	--param man.output.quietly		1 \
	--param man.authors.section.enabled	0 \
	--param citerefentry.link		1 \
	--output $@ \
	/usr/share/xml/docbook/stylesheet/nwalsh/xhtml/docbook.xsl \
	$<; $(HTMLPOST) $@)
# Fix citerefentry links
HTMLPOST:=$(SED) --in-place \
	--expression='s/\(<a class="citerefentry" href="\)\("><span class="citerefentry"><span class="refentrytitle">\)\([^<]*\)\(<\/span>(\)\([^)]*\)\()<\/span><\/a>\)/\1\3.\5\2\3\4\5\6/g'

PLUGINS:=plugins.d/password-prompt plugins.d/mandos-client \
	plugins.d/usplash plugins.d/splashy plugins.d/askpass-fifo \
	plugins.d/plymouth
PLUGIN_HELPERS:=plugin-helpers/mandos-client-iprouteadddel
CPROGS:=plugin-runner dracut-module/password-agent $(PLUGINS) \
	$(PLUGIN_HELPERS)
PROGS:=mandos mandos-keygen mandos-ctl mandos-monitor $(CPROGS)
DOCS:=mandos.8 mandos-keygen.8 mandos-monitor.8 mandos-ctl.8 \
	mandos.conf.5 mandos-clients.conf.5 plugin-runner.8mandos \
	dracut-module/password-agent.8mandos \
	plugins.d/mandos-client.8mandos \
	plugins.d/password-prompt.8mandos plugins.d/usplash.8mandos \
	plugins.d/splashy.8mandos plugins.d/askpass-fifo.8mandos \
	plugins.d/plymouth.8mandos intro.8mandos

htmldocs:=$(addsuffix .xhtml,$(DOCS))

objects:=$(addsuffix .o,$(CPROGS))

all: $(PROGS) mandos.lsm

doc: $(DOCS)

html: $(htmldocs)

%.5: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOMAN)
%.5.xhtml: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOHTML)

%.8: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOMAN)
%.8.xhtml: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOHTML)

%.8mandos: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOMAN)
%.8mandos.xhtml: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOHTML)

intro.8mandos: intro.xml common.ent legalnotice.xml
	$(DOCBOOKTOMAN)
intro.8mandos.xhtml: intro.xml common.ent legalnotice.xml
	$(DOCBOOKTOHTML)

mandos.8: mandos.xml common.ent mandos-options.xml overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos.8.xhtml: mandos.xml common.ent mandos-options.xml \
		overview.xml legalnotice.xml
	$(DOCBOOKTOHTML)

mandos-keygen.8: mandos-keygen.xml common.ent overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos-keygen.8.xhtml: mandos-keygen.xml common.ent overview.xml \
		 legalnotice.xml
	$(DOCBOOKTOHTML)

mandos-monitor.8: mandos-monitor.xml common.ent overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos-monitor.8.xhtml: mandos-monitor.xml common.ent overview.xml \
		 legalnotice.xml
	$(DOCBOOKTOHTML)

mandos-ctl.8: mandos-ctl.xml common.ent overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos-ctl.8.xhtml: mandos-ctl.xml common.ent overview.xml \
		 legalnotice.xml
	$(DOCBOOKTOHTML)

mandos.conf.5: mandos.conf.xml common.ent mandos-options.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos.conf.5.xhtml: mandos.conf.xml common.ent mandos-options.xml \
		legalnotice.xml
	$(DOCBOOKTOHTML)

plugin-runner.8mandos: plugin-runner.xml common.ent overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
plugin-runner.8mandos.xhtml: plugin-runner.xml common.ent \
		overview.xml legalnotice.xml
	$(DOCBOOKTOHTML)

dracut-module/password-agent.8mandos: \
		dracut-module/password-agent.xml common.ent \
		overview.xml legalnotice.xml
	$(DOCBOOKTOMAN)
dracut-module/password-agent.8mandos.xhtml: \
		dracut-module/password-agent.xml common.ent \
		overview.xml legalnotice.xml
	$(DOCBOOKTOHTML)

plugins.d/mandos-client.8mandos: plugins.d/mandos-client.xml \
					common.ent \
					mandos-options.xml \
					overview.xml legalnotice.xml
	$(DOCBOOKTOMAN)
plugins.d/mandos-client.8mandos.xhtml: plugins.d/mandos-client.xml \
					common.ent \
					mandos-options.xml \
					overview.xml legalnotice.xml
	$(DOCBOOKTOHTML)

# Update all these files with version number $(version)
common.ent: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(<!ENTITY version "\)[^"]*">$$/\1$(version)">/' \
		$@)

mandos: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(version = "\)[^"]*"$$/\1$(version)"/' \
		$@)

mandos-keygen: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(VERSION="\)[^"]*"$$/\1$(version)"/' \
		$@)

mandos-ctl: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(version = "\)[^"]*"$$/\1$(version)"/' \
		$@)

mandos-monitor: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(version = "\)[^"]*"$$/\1$(version)"/' \
		$@)

mandos.lsm: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(Version:\).*/\1\t$(version)/' \
		$@)
	$(strip $(SED) --in-place \
		--expression='s/^\(Entered-date:\).*/\1\t$(shell date --rfc-3339=date --reference=Makefile)/' \
		$@)
	$(strip $(SED) --in-place \
		--expression='s/\(mandos_\)[0-9.]\+\(\.orig\.tar\.gz\)/\1$(version)\2/' \
		$@)

# Need to add the GnuTLS, Avahi and GPGME libraries
plugins.d/mandos-client: plugins.d/mandos-client.c
	$(LINK.c) $^ $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(strip\
		) $(GPGME_CFLAGS) $(GNUTLS_LIBS) $(strip\
		) $(AVAHI_LIBS) $(GPGME_LIBS) $(LOADLIBES) $(strip\
		) $(LDLIBS) -o $@

# Need to add the libnl-route library
plugin-helpers/mandos-client-iprouteadddel: plugin-helpers/mandos-client-iprouteadddel.c
	$(LINK.c) $(LIBNL3_CFLAGS) $^ $(LIBNL3_LIBS) $(strip\
		) $(LOADLIBES) $(LDLIBS) -o $@

# Need to add the GLib and pthread libraries
dracut-module/password-agent: dracut-module/password-agent.c
	$(LINK.c) $(GLIB_CFLAGS) $^ $(GLIB_LIBS) -lpthread $(strip\
		) $(LOADLIBES) $(LDLIBS) -o $@

.PHONY : all doc html clean distclean mostlyclean maintainer-clean \
	check run-client run-server install install-html \
	install-server install-client-nokey install-client uninstall \
	uninstall-server uninstall-client purge purge-server \
	purge-client

clean:
	-rm --force $(CPROGS) $(objects) $(htmldocs) $(DOCS) core

distclean: clean
mostlyclean: clean
maintainer-clean: clean
	-rm --force --recursive keydir confdir statedir

check: all
	./mandos --check
	./mandos-ctl --check
	./mandos-keygen --version
	./plugin-runner --version
	./plugin-helpers/mandos-client-iprouteadddel --version
	./dracut-module/password-agent --test

# Run the client with a local config and key
run-client: all keydir/seckey.txt keydir/pubkey.txt \
			keydir/tls-privkey.pem keydir/tls-pubkey.pem
	@echo '######################################################'
	@echo '# The following error messages are harmless and can  #'
	@echo '#  be safely ignored:                                #'
	@echo '## From plugin-runner:                               #'
	@echo '# setgid: Operation not permitted                    #'
	@echo '# setuid: Operation not permitted                    #'
	@echo '## From askpass-fifo:                                #'
	@echo '# mkfifo: Permission denied                          #'
	@echo '## From mandos-client:                               #'
	@echo '# Failed to raise privileges: Operation not permi... #'
	@echo '# Warning: network hook "*" exited with status *     #'
	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
	@echo '# Failed to bring up interface "*": Operation not... #'

=== debian/changelog ===
mandos (1.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Fix "mandos FTCBFS: hard codes build architecture pkg-config"
    by making pkg-config overridable (Closes: #933701)
  * debian/mandos.postinst (configure): After creating (or renaming) user
    & group, reload D-Bus daemon (if present).

 -- Teddy Hogeborn <teddy@recompile.se>  Sat, 03 Aug 2019 14:51:01 +0200

## mandos 1.8.7

=== Makefile ===
--- 
+++ 
@@ -41,8 +41,9 @@
 #COVERAGE=--coverage
 OPTIMIZE:=-Os -fno-strict-aliasing
 LANGUAGE:=-std=gnu11
+FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.6
+version:=1.8.7
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -102,8 +103,8 @@
 GLIB_LIBS:=$(shell $(PKG_CONFIG) --libs glib-2.0)
 
 # Do not change these two
-CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) \
-	$(OPTIMIZE) $(LANGUAGE) -DVERSION='"$(version)"'
+CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
+	$(LANGUAGE) $(FEATURES) -DVERSION='"$(version)"'
 LDFLAGS+=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(strip \
 	) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))

=== debian/changelog ===
mandos (1.8.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata: New.
  * debian/mandos-client.postrm: Use the same logic as the
    update_initramfs function in debian/mandos-client.postinst.
  * debian/mandos-client.templates (mandos-client/key_id): Line which
    should not be wrapped should be prefixed by a space.
  * debian/mandos.templates (mandos/key_id): - '' -
  * debian/po/en_US.po: New "translation" from ASCII to UTF-8.
  * debian/po/templates.pot: Updated.
  * debian/source/lintian-overrides
    (package-uses-old-debhelper-compat-version): New; set to "10".
  * debian/mandos-client.lintian-overrides
    (maintainer-script-supports-ancient-package-version): New.
    debian/mandos.lintian-overrides
    (maintainer-script-supports-ancient-package-version): - '' -

 -- Teddy Hogeborn <teddy@recompile.se>  Mon, 05 Aug 2019 23:22:00 +0200

## mandos 1.8.8

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.7
+version:=1.8.8
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -89,6 +89,8 @@
 			--variable=systemdsystemunitdir)
 TMPFILES:=$(DESTDIR)$(shell $(PKG_CONFIG) systemd \
 			--variable=tmpfilesdir)
+SYSUSERS:=$(DESTDIR)$(shell $(PKG_CONFIG) systemd \
+			--variable=sysusersdir)
 
 GNUTLS_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I gnutls)
 GNUTLS_LIBS:=$(shell $(PKG_CONFIG) --libs gnutls)
@@ -332,5 +334,3 @@
 	@echo '## From mandos-client:                               #'
 	@echo '# Failed to raise privileges: Operation not permi... #'
 	@echo '# Warning: network hook "*" exited with status *     #'
-	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
-	@echo '# Failed to bring up interface "*": Operation not... #'

=== debian/changelog ===
mandos (1.8.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/po/de.po: New; Fix "[INTL:de] Initial German debconf
    translation" by including the contributed translation (Closes:
    #934373)
  * debian/po/fr.po: New; Fix "[INTL:fr] French debconf templates
    translation" by including the contributed translation (Closes:
    #934888)
  * debian/po/sv.po: New Swedish translation.
  * debian/mandos.postinst: Only reload D-Bus daemon if new user was
    created.
  * debian/mandos.dirs (usr/lib/sysusers.d): New.
  * debian/mandos-client.dirs (usr/lib/sysusers.d): - '' -

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 18 Aug 2019 22:01:13 +0200

=== debian/control ===
Source: mandos
Section: admin
Priority: optional
Maintainer: Mandos Maintainers <mandos@recompile.se>
Uploaders: Teddy Hogeborn <teddy@recompile.se>,
	   Björn Påhlsson <belorn@recompile.se>
Build-Depends: debhelper (>= 10), docbook-xml, docbook-xsl,
	libavahi-core-dev, libgpgme-dev | libgpgme11-dev,
	libglib2.0-dev (>=2.40), libgnutls28-dev (>= 3.3.0),
	libgnutls28-dev (>= 3.6.6) | libgnutls28-dev (<< 3.6.0),
	xsltproc, pkg-config, libnl-route-3-dev
Build-Depends-Indep: systemd, python (>= 2.7), python (<< 3),
	python-dbus, python-gi, po-debconf
Standards-Version: 4.4.0
Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
Homepage: https://www.recompile.se/mandos
Rules-Requires-Root: binary-targets

Package: mandos
Architecture: all
Depends: ${misc:Depends}, python (>= 2.7), python (<< 3),
	libgnutls30 (>= 3.3.0),
	libgnutls30 (>= 3.6.6) | libgnutls30 (<< 3.6.0),
	python-dbus, python-gi, avahi-daemon, adduser, python-urwid,
	gnupg2 | gnupg, systemd-sysv | lsb-base (>= 3.0-6),
	debconf (>= 1.5.5) | debconf-2.0
Recommends: ssh-client | fping
Suggests: libc6-dev | libc-dev, c-compiler
Description: server giving encrypted passwords to Mandos clients
 This is the server part of the Mandos system, which allows
 computers to have encrypted root file systems and at the
 same time be capable of remote and/or unattended reboots.
 .
 The computers run a small client program in the initial RAM
 disk environment which will communicate with a server over a
 network.  All network communication is encrypted using TLS.
 The clients are identified by the server using a TLS public
 key; each client has one unique to it.  The server sends the
 clients an encrypted password.  The encrypted password is
 decrypted by the clients using an OpenPGP key, and the
 password is then used to unlock the root file system,
 whereupon the computers can continue booting normally.

Package: mandos-client
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser,
	cryptsetup (<< 2:2.0.3-1) | cryptsetup-initramfs,
	initramfs-tools (>= 0.99) | dracut (>= 044+241-3),
	dpkg-dev (>=1.16.0),
	gnutls-bin (>= 3.6.6) | libgnutls30 (<< 3.6.0),
	debconf (>= 1.5.5) | debconf-2.0
Recommends: ssh
Breaks: dropbear (<= 0.53.1-1)
Enhances: cryptsetup
Conflicts: dracut-config-generic
Description: do unattended reboots with an encrypted root file system
 This is the client part of the Mandos system, which allows
 computers to have encrypted root file systems and at the
 same time be capable of remote and/or unattended reboots.
 .
 The computers run a small client program in the initial RAM
 disk environment which will communicate with a server over a
 network.  All network communication is encrypted using TLS.
 The clients are identified by the server using a TLS public
 key; each client has one unique to it.  The server sends the
 clients an encrypted password.  The encrypted password is
 decrypted by the clients using an OpenPGP key, and the
 password is then used to unlock the root file system,
 whereupon the computers can continue booting normally.

=== debian/tests/control ===
Test-Command: /usr/sbin/mandos --check
Restrictions: superficial
Features: test-name=mandos-check
Depends: mandos

Test-Command: /usr/sbin/mandos-ctl --check --verbose
Restrictions: allow-stderr
Features: test-name=mandos-ctl
Depends: mandos

Test-Command: /usr/sbin/mandos-keygen --version
Restrictions: superficial
Features: test-name=mandos-keygen-version
Depends: mandos-client

Test-Command: /usr/lib/$(dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)/mandos/plugin-runner --version
Restrictions: needs-root, superficial
Features: test-name=plugin-runner-version
Depends: mandos-client

Test-Command: /usr/lib/$(dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)/mandos/plugin-helpers/mandos-client-iprouteadddel --version
Restrictions: needs-root, superficial
Features: test-name=mandos-client-iprouteadddel-version
Depends: mandos-client

Test-Command: /usr/lib/dracut/modules.d/90mandos/password-agent --test --verbose
Features: test-name=password-agent
Depends: mandos-client

Test-Command: /usr/lib/dracut/modules.d/90mandos/password-agent --test --verbose -p /task-creators/start_mandos_client/suid
Restrictions: needs-root
Features: test-name=password-agent-suid
Depends: mandos-client

## mandos 1.8.9

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.8
+version:=1.8.9
 SED:=sed
 PKG_CONFIG?=pkg-config

=== debian/changelog ===
mandos (1.8.9-2) unstable; urgency=medium

  * Fix failing autopkgtest.
  * debian/tests/control (mandos-check/Restrictions): Add "allow-stderr".

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 04 Sep 2019 23:14:06 +0200

mandos (1.8.9-1) unstable; urgency=medium

  * New upstream release.
  * Fix "Python2 removal in sid/bullseye" by using Python 3 instead
    (Closes: #936987)
  * debian/control (Build-Depends, Build-Depends-Indep): Move "systemd"
    from indep to regular build-depends.
    (Build-Depends-Indep, Package: mandos/Depends): Depend on Python 3 and
    Python 3 modules instead of Python 2.

 -- Teddy Hogeborn <teddy@recompile.se>  Tue, 03 Sep 2019 20:58:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 	libavahi-core-dev, libgpgme-dev | libgpgme11-dev,
 	libglib2.0-dev (>=2.40), libgnutls28-dev (>= 3.3.0),
 	libgnutls28-dev (>= 3.6.6) | libgnutls28-dev (<< 3.6.0),
-	xsltproc, pkg-config, libnl-route-3-dev
-Build-Depends-Indep: systemd, python (>= 2.7), python (<< 3),
-	python-dbus, python-gi, po-debconf
+	xsltproc, pkg-config, libnl-route-3-dev, systemd
+Build-Depends-Indep: python3 (>= 3), python3-dbus, python3-gi,
+	po-debconf
 Standards-Version: 4.4.0
 Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
@@ -19,11 +19,11 @@
 
 Package: mandos
 Architecture: all
-Depends: ${misc:Depends}, python (>= 2.7), python (<< 3),
-	libgnutls30 (>= 3.3.0),
+Depends: ${misc:Depends}, python3 (>= 3), libgnutls30 (>= 3.3.0),
 	libgnutls30 (>= 3.6.6) | libgnutls30 (<< 3.6.0),
-	python-dbus, python-gi, avahi-daemon, adduser, python-urwid,
-	gnupg2 | gnupg, systemd-sysv | lsb-base (>= 3.0-6),
+	python3-dbus, python3-gi, avahi-daemon, adduser,
+	python3-urwid, gnupg2 | gnupg,
+	systemd-sysv | lsb-base (>= 3.0-6),
 	debconf (>= 1.5.5) | debconf-2.0
 Recommends: ssh-client | fping
 Suggests: libc6-dev | libc-dev, c-compiler

## mandos 1.8.11

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.9
+version:=1.8.11
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -156,10 +156,13 @@
 
 objects:=$(addsuffix .o,$(CPROGS))
 
+.PHONY: all
 all: $(PROGS) mandos.lsm
 
+.PHONY: doc
 doc: $(DOCS)
 
+.PHONY: html
 html: $(htmldocs)
 
 %.5: %.xml common.ent legalnotice.xml
@@ -282,36 +285,32 @@
 		$@)
 
 # Need to add the GnuTLS, Avahi and GPGME libraries
-plugins.d/mandos-client: plugins.d/mandos-client.c
-	$(LINK.c) $^ $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(strip\
-		) $(GPGME_CFLAGS) $(GNUTLS_LIBS) $(strip\
-		) $(AVAHI_LIBS) $(GPGME_LIBS) $(LOADLIBES) $(strip\
-		) $(LDLIBS) -o $@
+plugins.d/mandos-client: CFLAGS += $(GNUTLS_CFLAGS) $(strip \
+	) $(AVAHI_CFLAGS) $(GPGME_CFLAGS)
+plugins.d/mandos-client: LDLIBS += $(GNUTLS_LIBS) $(strip \
+	) $(AVAHI_LIBS) $(GPGME_LIBS)
 
 # Need to add the libnl-route library
-plugin-helpers/mandos-client-iprouteadddel: plugin-helpers/mandos-client-iprouteadddel.c
-	$(LINK.c) $(LIBNL3_CFLAGS) $^ $(LIBNL3_LIBS) $(strip\
-		) $(LOADLIBES) $(LDLIBS) -o $@
+plugin-helpers/mandos-client-iprouteadddel: CFLAGS += $(LIBNL3_CFLAGS)
+plugin-helpers/mandos-client-iprouteadddel: LDLIBS += $(LIBNL3_LIBS)
 
 # Need to add the GLib and pthread libraries
-dracut-module/password-agent: dracut-module/password-agent.c
-	$(LINK.c) $(GLIB_CFLAGS) $^ $(GLIB_LIBS) -lpthread $(strip\
-		) $(LOADLIBES) $(LDLIBS) -o $@
-
-.PHONY : all doc html clean distclean mostlyclean maintainer-clean \
-	check run-client run-server install install-html \
-	install-server install-client-nokey install-client uninstall \
-	uninstall-server uninstall-client purge purge-server \
-	purge-client
-
+dracut-module/password-agent: CFLAGS += $(GLIB_CFLAGS)
+dracut-module/password-agent: LDLIBS += $(GLIB_LIBS) -lpthread
+
+.PHONY: clean
 clean:
 	-rm --force $(CPROGS) $(objects) $(htmldocs) $(DOCS) core
 
+.PHONY: distclean
 distclean: clean
+.PHONY: mostlyclean
 mostlyclean: clean
+.PHONY: maintainer-clean
 maintainer-clean: clean
 	-rm --force --recursive keydir confdir statedir
 
+.PHONY: check
 check: all
 	./mandos --check
 	./mandos-ctl --check
@@ -321,6 +320,7 @@
 	./dracut-module/password-agent --test
 
 # Run the client with a local config and key
+.PHONY: run-client
 run-client: all keydir/seckey.txt keydir/pubkey.txt \
 			keydir/tls-privkey.pem keydir/tls-pubkey.pem
 	@echo '######################################################'
@@ -334,3 +334,7 @@
 	@echo '## From mandos-client:                               #'
 	@echo '# Failed to raise privileges: Operation not permi... #'
 	@echo '# Warning: network hook "*" exited with status *     #'
+	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
+	@echo '# Failed to bring up interface "*": Operation not... #'
+	@echo '#                                                    #'
+	@echo '# (The messages are caused by not running as root,   #'

=== debian/changelog ===
mandos (1.8.11-1) unstable; urgency=medium

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 08 Apr 2020 20:37:32 +0200

mandos (1.8.10-1) unstable; urgency=medium

  * Fix "[INTL:pt] Updated Portuguese translation - debconf messages"
    by including the contributed translation (Closes: #942595)
  * Fix "[INTL:nl] Dutch translation of debconf messages" by including the
    contributed translation (Closes: #946006)
  * Fix "flaky autopkgtest on arm64" by skipping the flaky test on
    non-amd64 (Closes: #953799)
  * debian/control (Standards-Version): Update to "4.5.0".

 -- Teddy Hogeborn <teddy@recompile.se>  Sat, 21 Mar 2020 17:45:01 +0100

## mandos 1.8.12

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.11
+version:=1.8.12
 SED:=sed
 PKG_CONFIG?=pkg-config

=== debian/changelog ===
mandos (1.8.12-1) unstable; urgency=medium

  * New upstream release.
  * Fix "FTBFS with glibc 2.31 (uses removed stime function)" by using
    clock_settime() instead. (Closes: #964226)
  * debian/copyright: Update copyright year to 2020.

 -- Teddy Hogeborn <teddy@recompile.se>  Sat, 04 Jul 2020 14:58:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	xsltproc, pkg-config, libnl-route-3-dev, systemd
 Build-Depends-Indep: python3 (>= 3), python3-dbus, python3-gi,
 	po-debconf
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: https://www.recompile.se/mandos

## mandos 1.8.13

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.12
+version:=1.8.13
 SED:=sed
 PKG_CONFIG?=pkg-config

=== debian/changelog ===
mandos (1.8.13-1) unstable; urgency=medium

  * New upstream release.
  * Fix "password-agent autopkgtest does not seem to be reliable"
    by making the test more reliable (Closes: #975457)
  * debian/mandos-client.templates: Rename "_description" header to
    "_Description".
  * debian/control (Standards-Version): Change to "4.5.1".

 -- Teddy Hogeborn <teddy@recompile.se>  Mon, 30 Nov 2020 19:15:43 +0100

## mandos 1.8.14

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.13
+version:=1.8.14
 SED:=sed
 PKG_CONFIG?=pkg-config

=== debian/changelog ===
mandos (1.8.14-1) unstable; urgency=medium

  * New upstream release.  Includes workaround for #981302
  * debian/po/fr.po: Fix msgid to match template.

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 03 Feb 2021 09:53:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	xsltproc, pkg-config, libnl-route-3-dev, systemd
 Build-Depends-Indep: python3 (>= 3), python3-dbus, python3-gi,
 	po-debconf
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: https://www.recompile.se/mandos

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += OPTIMIZE=-O0
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_build-arch:
	LC_ALL=en_US.utf8 dh_auto_build -- all doc

override_dh_auto_build-indep:
	LC_ALL=en_US.utf8 dh_auto_build -- doc

override_dh_installinit-indep:
	dh_installinit --onlyscripts \
		--update-rcd-params="defaults 25 15"

override_dh_auto_install-indep:
	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos install-server

override_dh_auto_install-arch:
	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos-client \
		install-client-nokey

override_dh_fixperms-arch:
	dh_fixperms --exclude etc/keys/mandos \
		--exclude etc/mandos/plugins.d \
		--exclude etc/mandos/plugin-helpers \
		--exclude usr/lib/$(DEB_HOST_MULTIARCH)/mandos/plugins.d \
		--exclude usr/lib/$(DEB_HOST_MULTIARCH)/mandos/plugin-helpers \
		--exclude usr/share/doc/mandos-client/examples/network-hooks.d
	chmod --recursive g-w -- \
	"$(CURDIR)/debian/mandos-client/usr/share/doc/mandos-client/examples/network-hooks.d"

override_dh_fixperms-indep:
	dh_fixperms --exclude etc/mandos/clients.conf

override_dh_auto_test-arch: ;

#bpo## dpkg-shlibdeps sees the "libgnutls28-dev (>= 3.6.6) |
#bpo## libgnutls28-dev (<< 3.6.0)," in the build-dependencies not as two
#bpo## alternatives, but as an absolute dependency on libgnutls30 >= 3.6.6.
#bpo## So we have to do this ugly hack to hide this build dependency if we
#bpo## compiled with libgnutls30 << 3.6.0.
#bpo#override_dh_shlibdeps-arch:
#bpo#	-gnutls_version=$$(dpkg-query --showformat='$${Version}' \
#bpo#		--show libgnutls30); \
#bpo#	dpkg --compare-versions $$gnutls_version lt 3.6.0 \
#bpo#		&& { cp --archive debian/control debian/control.orig; sed --in-place --expression='s/libgnutls28-dev (>= 3\.6\.6) |//' debian/control; }
#bpo#	dh_shlibdeps
#bpo#	-gnutls_version=$$(dpkg-query --showformat='$${Version}' \
#bpo#		--show libgnutls30); \
#bpo#	dpkg --compare-versions $$gnutls_version lt 3.6.0 \
#bpo#		&& mv debian/control.orig debian/control

## mandos 1.8.15

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 # For info about _FORTIFY_SOURCE, see feature_test_macros(7)
 # and <https://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
-FORTIFY:=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
+FORTIFY:=-D_FORTIFY_SOURCE=3 -fstack-protector-all -fPIC
 LINK_FORTIFY_LD:=-z relro -z now
 LINK_FORTIFY:=
 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.14
+version:=1.8.15
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -296,6 +296,7 @@
 
 # Need to add the GLib and pthread libraries
 dracut-module/password-agent: CFLAGS += $(GLIB_CFLAGS)
+# Note: -lpthread is unnecessary with the GNU C library 2.34 or later
 dracut-module/password-agent: LDLIBS += $(GLIB_LIBS) -lpthread
 
 .PHONY: clean
@@ -337,4 +338,3 @@
 	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
 	@echo '# Failed to bring up interface "*": Operation not... #'
 	@echo '#                                                    #'
-	@echo '# (The messages are caused by not running as root,   #'

=== debian/changelog ===
mandos (1.8.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/po/fr.po: Add missing whitespace to the id and translation
    for msgid " ${key_id}".
  * debian/mandos-client.lintian-overrides: Remove all empty commented
    lines.  Rename "setuid-binary" tag to "elevated-privileges".
  * debian/control (Standards-Version): Change to "4.6.0".
  * debian/copyright: Update copyright year to 2022.
  * debian/po/es.po: Add Spanish translation of the debconf template
    (Closes: #987595).

 -- Teddy Hogeborn <teddy@recompile.se>  Mon, 25 Apr 2022 20:43:27 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	xsltproc, pkg-config, libnl-route-3-dev, systemd
 Build-Depends-Indep: python3 (>= 3), python3-dbus, python3-gi,
 	po-debconf
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: https://www.recompile.se/mandos

## mandos 1.8.16

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.15
+version:=1.8.16
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -96,8 +96,10 @@
 GNUTLS_LIBS:=$(shell $(PKG_CONFIG) --libs gnutls)
 AVAHI_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I avahi-core)
 AVAHI_LIBS:=$(shell $(PKG_CONFIG) --libs avahi-core)
-GPGME_CFLAGS:=$(shell gpgme-config --cflags; getconf LFS_CFLAGS)
-GPGME_LIBS:=$(shell gpgme-config --libs; getconf LFS_LIBS; \
+GPGME_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I gpgme 2>/dev/null \
+	|| gpgme-config --cflags; getconf LFS_CFLAGS)
+GPGME_LIBS:=$(shell $(PKG_CONFIG) --libs gpgme 2>/dev/null \
+	|| gpgme-config --libs; getconf LFS_LIBS; \
 	getconf LFS_LDFLAGS)
 LIBNL3_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I libnl-route-3.0)
 LIBNL3_LIBS:=$(shell $(PKG_CONFIG) --libs libnl-route-3.0)
@@ -336,5 +338,3 @@
 	@echo '# Failed to raise privileges: Operation not permi... #'
 	@echo '# Warning: network hook "*" exited with status *     #'
 	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
-	@echo '# Failed to bring up interface "*": Operation not... #'
-	@echo '#                                                    #'

=== debian/changelog ===
mandos (1.8.16-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:09 +1100

mandos (1.8.16-1ubuntu3) noble; urgency=medium

  * Don't hard-code dependency on shared library.
  * Drop multiple outdated gnutls versioned (build-) dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 17:29:41 +0100

mandos (1.8.16-1build4) noble; urgency=high

  * No change rebuild against libgnutls30t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:08 +0100

mandos (1.8.16-1build3) noble; urgency=medium

  * No-change rebuild against libgpgme t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 17:26:44 +0100

mandos (1.8.16-1build2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:09:09 +0000

mandos (1.8.16-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:39:58 +0000

mandos (1.8.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules (override_dh_fixperms-arch): Make sure dh_fixperms also
    is applied to the directory
    /usr/share/doc/mandos-client/examples/network-hooks.d (but still not
    to the files therein).
  * debian/po/pt_BR.po: Add Brazilian Portuguese translation of the
    debconf template (Closes: #1026400).
  * debian/po/fr.po: Add missing whitespace to the id and translation
    for msgid " key_id = <HEXSTRING>".
  * debian/control (Standards-Version): Change to "4.6.2".

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 08 Feb 2023 00:58:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: mandos
 Section: admin
 Priority: optional
-Maintainer: Mandos Maintainers <mandos@recompile.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mandos Maintainers <mandos@recompile.se>
 Uploaders: Teddy Hogeborn <teddy@recompile.se>,
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 10), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme-dev | libgpgme11-dev,
-	libglib2.0-dev (>=2.40), libgnutls28-dev (>= 3.3.0),
-	libgnutls28-dev (>= 3.6.6) | libgnutls28-dev (<< 3.6.0),
+	libglib2.0-dev (>=2.40),
+	libgnutls28-dev (>= 3.6.6),
 	xsltproc, pkg-config, libnl-route-3-dev, systemd
 Build-Depends-Indep: python3 (>= 3), python3-dbus, python3-gi,
 	po-debconf
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: https://www.recompile.se/mandos
@@ -19,8 +20,8 @@
 
 Package: mandos
 Architecture: all
-Depends: ${misc:Depends}, python3 (>= 3), libgnutls30 (>= 3.3.0),
-	libgnutls30 (>= 3.6.6) | libgnutls30 (<< 3.6.0),
+Depends: ${misc:Depends}, python3 (>= 3),
+	${lib:Depends} (>= 3.6.6),
 	python3-dbus, python3-gi, avahi-daemon, adduser,
 	python3-urwid, gnupg2 | gnupg,
 	systemd-sysv | lsb-base (>= 3.0-6),
@@ -48,7 +49,7 @@
 	cryptsetup (<< 2:2.0.3-1) | cryptsetup-initramfs,
 	initramfs-tools (>= 0.99) | dracut (>= 044+241-3),
 	dpkg-dev (>=1.16.0),
-	gnutls-bin (>= 3.6.6) | libgnutls30 (<< 3.6.0),
+	gnutls-bin (>= 3.6.6),
 	debconf (>= 1.5.5) | debconf-2.0
 Recommends: ssh
 Breaks: dropbear (<= 0.53.1-1)

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 
 %:
 	dh $@
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libgnutls28-dev \
+			| sed -E 's/.*(libgnutls3[[:alnum:].-]+).*/\1/')
 
 override_dh_auto_build-arch:
 	LC_ALL=en_US.utf8 dh_auto_build -- all doc
@@ -35,7 +40,7 @@
 		--exclude etc/mandos/plugin-helpers \
 		--exclude usr/lib/$(DEB_HOST_MULTIARCH)/mandos/plugins.d \
 		--exclude usr/lib/$(DEB_HOST_MULTIARCH)/mandos/plugin-helpers \
-		--exclude usr/share/doc/mandos-client/examples/network-hooks.d
+		--exclude usr/share/doc/mandos-client/examples/network-hooks.d/
 	chmod --recursive g-w -- \
 	"$(CURDIR)/debian/mandos-client/usr/share/doc/mandos-client/examples/network-hooks.d"

## mandos 1.8.17

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,8 @@
 
 # For info about _FORTIFY_SOURCE, see feature_test_macros(7)
 # and <https://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
-FORTIFY:=-D_FORTIFY_SOURCE=3 -fstack-protector-all -fPIC
+FORTIFY:=-fstack-protector-all -fPIC
+CPPFLAGS+=-D_FORTIFY_SOURCE=3
 LINK_FORTIFY_LD:=-z relro -z now
 LINK_FORTIFY:=
 
@@ -41,9 +42,9 @@
 #COVERAGE=--coverage
 OPTIMIZE:=-Os -fno-strict-aliasing
 LANGUAGE:=-std=gnu11
-FEATURES:=-D_FILE_OFFSET_BITS=64
+CPPFLAGS+=-D_FILE_OFFSET_BITS=64 -D_TIME_BITS=64
 htmldir:=man
-version:=1.8.16
+version:=1.8.17
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -63,6 +64,7 @@
 # DRACUTMODULE:=$(DESTDIR)/usr/lib/dracut/modules.d/90mandos
 # STATEDIR:=$(DESTDIR)/var/lib/mandos
 # LIBDIR:=$(PREFIX)/lib
+# DBUSPOLICYDIR:=$(DESTDIR)/etc/dbus-1/system.d
 ##
 
 ## These settings are for a package-type install
@@ -83,6 +85,7 @@
 			break; \
 		fi; \
 	done)
+DBUSPOLICYDIR:=$(DESTDIR)/usr/share/dbus-1/system.d
 ##
 
 SYSTEMD:=$(DESTDIR)$(shell $(PKG_CONFIG) systemd \
@@ -108,7 +111,7 @@
 
 # Do not change these two
 CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
-	$(LANGUAGE) $(FEATURES) -DVERSION='"$(version)"'
+	$(LANGUAGE) -DVERSION='"$(version)"'
 LDFLAGS+=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(strip \
 	) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
 
@@ -286,6 +289,16 @@
 		--expression='s/\(mandos_\)[0-9.]\+\(\.orig\.tar\.gz\)/\1$(version)\2/' \
 		$@)
 
+# Does the linker support the --no-warn-execstack option?
+ifeq ($(shell echo 'int main(){}'|$(CC) --language=c /dev/stdin -o /dev/null -Xlinker --no-warn-execstack >/dev/null 2>&1 && echo yes),yes)
+# These programs use nested functions, which uses an executable stack
+plugin-runner: LDFLAGS += -Xlinker --no-warn-execstack
+dracut-module/password-agent: LDFLAGS += -Xlinker --no-warn-execstack
+plugins.d/password-prompt: LDFLAGS += -Xlinker --no-warn-execstack
+plugins.d/mandos-client: LDFLAGS += -Xlinker --no-warn-execstack
+plugins.d/plymouth: LDFLAGS += -Xlinker --no-warn-execstack
+endif
+
 # Need to add the GnuTLS, Avahi and GPGME libraries
 plugins.d/mandos-client: CFLAGS += $(GNUTLS_CFLAGS) $(strip \
 	) $(AVAHI_CFLAGS) $(GPGME_CFLAGS)
@@ -327,14 +340,3 @@
 run-client: all keydir/seckey.txt keydir/pubkey.txt \
 			keydir/tls-privkey.pem keydir/tls-pubkey.pem
 	@echo '######################################################'
-	@echo '# The following error messages are harmless and can  #'
-	@echo '#  be safely ignored:                                #'
-	@echo '## From plugin-runner:                               #'
-	@echo '# setgid: Operation not permitted                    #'
-	@echo '# setuid: Operation not permitted                    #'
-	@echo '## From askpass-fifo:                                #'
-	@echo '# mkfifo: Permission denied                          #'
-	@echo '## From mandos-client:                               #'
-	@echo '# Failed to raise privileges: Operation not permi... #'
-	@echo '# Warning: network hook "*" exited with status *     #'
-	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'

=== debian/changelog ===
mandos (1.8.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Package: mandos/Depends): Fix "mandos: Depends on
    transition package gnupg2" by removing "gnupg2 |".  (Closes: #1055402)
  * debian/control (Source: mandos/Build-Depends): Fix "Please switch
    Build-Depends to systemd-dev" by preferring systemd-dev to older
    systemd (Closes: #1060546)
  * Fix "reportbug: mandos-client does not include gpg-agent in initramfs"
    by first trying the new library name, libgpgme11t64 (Closes: #1077927)
  * Fix "mandos-client postrm purge can mysteriously fail" by making sure
    that the maintainer scripts do not output anything to standard output
    (Closes: #1079588)
  * debian/mandos-client.postinst (update_initramfs): Add "1>&2" to
    invocations of update-initramfs and /etc/kernel/postinst.d/dracut.
    (add_mandos_user): Add "1>&2" to invocations of usermod, groupmod, and
    adduser.
    (create_keys): Add "1>&2" to invocations of mandos-keygen,
    gpg-connect-agent, certtool, and openssl.
    (create_dh_params): Add "1>&2" to invocations of certtool and openssl.
    Add "--force" option to "rm".
  * debian/mandos-client.postrm (update_initramfs): Add "1>&2" to
    invocations of update-initramfs and /etc/kernel/postinst.d/dracut.
  * Fix "mandos lost mandos.service systemd unit" by getting the correct
    directory names from pkg-config (Closes: #1069689)
  * debian/mandos-client.dirs (usr/lib/sysusers.d): Removed.
  * debian/mandos.dirs (lib/systemd/system, usr/lib/tmpfiles.d,
    usr/lib/sysusers.d): Removed.
  * debian/rules (PKG_CONFIG): New; copied from Makefile.
  * (override_dh_installdirs-indep): New; run dh_installdirs twice:  first
    normally, and again for the systemd unit file directory and the
    directories for the "tmpfilesdir" and "sysusersdir" variables from
    pkg-config.
    (override_dh_installdirs-arch): New; create directory for the
    "sysusersdir" variable from pkg-config.
  * debian/mandos.dirs: Change D-Bus policy directory
    "/etc/dbus-1/session.d" to "/usr/share/dbus-1/session.d".
  * debian/mandos.maintscript: New; remove the old D-Bus policy file.
  * debian/mandos-client.README.Debian: Fix spelling.
  * debian/mandos-client.README.Debian: Remove unnecessary word "simply".
    Also add instructions on how to add the --connect= options to
    mandos-client when using dracut.
  * debian/mandos-client.postrm: Also shred(1) tls-privkkey.pem, just like
    with seckey.txt.
  * debian/mandos-client.postinst (update_initramfs): When using dracut,
    but the initramfs image file does not yet exist (due to the kernel
    package not having been configured), create a new empty file with the
    correct permissions, so that dracut will use the correct permissions
    when creating the initramfs image file.
  * debian/control (Package: mandos/Depends): Add "libgnutls30t64" as an
    alternative to libgnutls30.
  * debian/mandos-client.lintian-overrides: Change to new lintian "pointed
    hints" syntax.
  * debian/mandos.lintian-overrides: - '' -
  * debian/control (Standards-Version): Change to "4.7.0".

 -- Teddy Hogeborn <teddy@recompile.se>  Thu, 12 Sep 2024 18:59:04 +0200

mandos (1.8.16-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install mandos.service again. (Closes: #1069689)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 22 Apr 2024 21:13:43 +0200

mandos (1.8.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend only on gnupg instead of transitional gnupg2 (Closes: #1055402).
  * Build-Depend on systemd-dev instead of systemd (Closes: #1060546).
  * Build-Depend on pkgconf instead of pkg-config.
  * (Build-)Depend on current libgnutls.

 -- Bastian Germann <bage@debian.org>  Fri, 19 Apr 2024 13:08:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: mandos
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mandos Maintainers <mandos@recompile.se>
+Maintainer: Mandos Maintainers <mandos@recompile.se>
 Uploaders: Teddy Hogeborn <teddy@recompile.se>,
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 10), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme-dev | libgpgme11-dev,
-	libglib2.0-dev (>=2.40),
-	libgnutls28-dev (>= 3.6.6),
-	xsltproc, pkg-config, libnl-route-3-dev, systemd
+	libglib2.0-dev (>=2.40), libgnutls28-dev (>= 3.3.0),
+	libgnutls28-dev (>= 3.6.6) | libgnutls28-dev (<< 3.6.0),
+	xsltproc, pkg-config, libnl-route-3-dev,
+	systemd-dev | systemd (<< 256~rc2-1)
 Build-Depends-Indep: python3 (>= 3), python3-dbus, python3-gi,
 	po-debconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: https://www.recompile.se/mandos
@@ -21,10 +21,10 @@
 Package: mandos
 Architecture: all
 Depends: ${misc:Depends}, python3 (>= 3),
-	${lib:Depends} (>= 3.6.6),
+	libgnutls30t64 | libgnutls30 (>= 3.3.0),
+	libgnutls30t64 | libgnutls30 (>= 3.6.6) | libgnutls30 (<< 3.6.0),
 	python3-dbus, python3-gi, avahi-daemon, adduser,
-	python3-urwid, gnupg2 | gnupg,
-	systemd-sysv | lsb-base (>= 3.0-6),
+	python3-urwid, gnupg, systemd-sysv | lsb-base (>= 3.0-6),
 	debconf (>= 1.5.5) | debconf-2.0
 Recommends: ssh-client | fping
 Suggests: libc6-dev | libc-dev, c-compiler
@@ -49,7 +49,7 @@
 	cryptsetup (<< 2:2.0.3-1) | cryptsetup-initramfs,
 	initramfs-tools (>= 0.99) | dracut (>= 044+241-3),
 	dpkg-dev (>=1.16.0),
-	gnutls-bin (>= 3.6.6),
+	gnutls-bin (>= 3.6.6) | libgnutls30 (<< 3.6.0),
 	debconf (>= 1.5.5) | debconf-2.0
 Recommends: ssh
 Breaks: dropbear (<= 0.53.1-1)

=== debian/watch ===
version=4
opts=pgpmode=auto \
 https://ftp.recompile.se/pub/@PACKAGE@/@PACKAGE@@ANY_VERSION@\.orig@ARCHIVE_EXT@
